<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <keyboard>

    <key n="68">
      <name>D</name>
      <desc>Capotte</desc>
      <binding>
        <command>nasal</command>
        <script>doors.roof.toggle();</script>
      </binding>
    </key>

    <key n="100">
      <name>d</name>
      <desc>Pilot and passanger doors</desc>
      <binding>
        <command>nasal</command>
        <script>doors.Lcrew.toggle();</script>
      </binding>
      <binding>
        <command>nasal</command>
        <script>doors.Rcrew.toggle();</script>
      </binding>
      <binding>
        <command>nasal</command>
        <script>doors.Lpassenger.toggle();</script>
      </binding>
      <binding>
        <command>nasal</command>
        <script>doors.Rpassenger.toggle();</script>
      </binding>
    </key>

    <key n="108">
      <name>l</name>
      <desc>Landing light</desc>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/landing-lights</property>
      </binding>
    </key>

    <key n="111">
      <name>o</name>
      <desc>get Walker out</desc>
      <binding>
        <command>nasal</command>
        <script>walk.get_out();</script>
      </binding>
    </key>

    <key n="79">
      <name>O</name>
      <desc>get Walker in</desc>
      <binding>
        <command>nasal</command>
        <script>walk.get_in();</script>
      </binding>
    </key>

    <key n="119">
      <name>w</name>
      <desc>walk forward</desc>
      <binding n="0">
        <command>property-toggle</command>
        <property>/sim/walker/walking</property>
      </binding>
      <mod-up>
        <binding>
          <command>property-toggle</command>
          <property>/sim/walker/walking</property>
        </binding>
      </mod-up>
    </key>

    <key n="125">
      <name>}</name>
      <desc>Autostart/Autostop</desc>
      <binding>
        <command>property-toggle</command>
        <property>controls/electric/battery-switch</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/electric/engine/generator</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/instrument-lights</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/nav-lights</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/beacon</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/strobe</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/switches/starterkey-insert</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/engines/engine[0]/fuel-pump</property>
      </binding>
      <!-- Magnetos -->
      <binding>
        <condition>
          <property>controls/switches/starterkey-insert</property>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[0]/magnetos</property>
        <value>3</value>
      </binding>
      <binding>
        <condition>
          <not><property>controls/switches/starterkey-insert</property></not>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[0]/magnetos</property>
        <value>0</value>
      </binding>
      <binding>
        <command>nasal</command>
        <script>controls.startEngine(0,0)</script>
      </binding>
      <binding>
        <condition>
          <property>controls/switches/starterkey-insert</property>
        </condition>
        <command>nasal</command>
        <script>gui.popupTip("Press 's' to start")</script>
      </binding>
    </key>

  </keyboard>

</PropertyList>
